<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FileSearch StructType
 * @subpackage Structs
 */
class FileSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FileSearchBasic
     */
    public $basic;
    /**
     * The shopperJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchBasic
     */
    public $shopperJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for FileSearch
     * @uses FileSearch::setBasic()
     * @uses FileSearch::setShopperJoin()
     * @uses FileSearch::setUserJoin()
     * @param \StructType\FileSearchBasic $basic
     * @param \StructType\CustomerSearchBasic $shopperJoin
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\FileSearchBasic $basic = null, \StructType\CustomerSearchBasic $shopperJoin = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setShopperJoin($shopperJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\FileSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\FileSearchBasic $basic
     * @return \StructType\FileSearch
     */
    public function setBasic(\StructType\FileSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get shopperJoin value
     * @return \StructType\CustomerSearchBasic|null
     */
    public function getShopperJoin()
    {
        return $this->shopperJoin;
    }
    /**
     * Set shopperJoin value
     * @param \StructType\CustomerSearchBasic $shopperJoin
     * @return \StructType\FileSearch
     */
    public function setShopperJoin(\StructType\CustomerSearchBasic $shopperJoin = null)
    {
        $this->shopperJoin = $shopperJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\FileSearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
